qpid::framing::ProtocolVersion Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::ProtocolVersion Class Reference

`#include <qpid/framing/ProtocolVersion.h>`

List of all members.

## Public Member Functions
| ProtocolVersion (uint8_t _major=0, uint8_t _minor=0)
QPID_COMMON_INLINE_EXTERN uint8_t | getMajor () const
QPID_COMMON_INLINE_EXTERN void | setMajor (uint8_t major)
QPID_COMMON_INLINE_EXTERN uint8_t | getMinor () const
QPID_COMMON_INLINE_EXTERN void | setMinor (uint8_t minor)
const std::string | toString () const
ProtocolVersion & | operator= (ProtocolVersion p)
bool | operator== (ProtocolVersion p) const
QPID_COMMON_INLINE_EXTERN bool | operator!= (ProtocolVersion p) const

## Constructor & Destructor Documentation

qpid::framing::ProtocolVersion::ProtocolVersion | ( | uint8_t | _major = `0`,
|  | uint8_t | _minor = `0`
| ) |  | `[inline, explicit]`

Definition at line 39 of file ProtocolVersion.h.

## Member Function Documentation

QPID_COMMON_INLINE_EXTERN uint8_t qpid::framing::ProtocolVersion::getMajor | ( |  | ) | const`[inline]`

Definition at line 42 of file ProtocolVersion.h.

QPID_COMMON_INLINE_EXTERN uint8_t qpid::framing::ProtocolVersion::getMinor | ( |  | ) | const`[inline]`

Definition at line 44 of file ProtocolVersion.h.

QPID_COMMON_INLINE_EXTERN bool qpid::framing::ProtocolVersion::operator!= | ( | ProtocolVersion | p | ) | const`[inline]`

Definition at line 51 of file ProtocolVersion.h.

ProtocolVersion& qpid::framing::ProtocolVersion::operator= | ( | ProtocolVersion | p | ) |

bool qpid::framing::ProtocolVersion::operator== | ( | ProtocolVersion | p | ) | const

QPID_COMMON_INLINE_EXTERN void qpid::framing::ProtocolVersion::setMajor | ( | uint8_t | major | ) | `[inline]`

Definition at line 43 of file ProtocolVersion.h.

QPID_COMMON_INLINE_EXTERN void qpid::framing::ProtocolVersion::setMinor | ( | uint8_t | minor | ) | `[inline]`

Definition at line 45 of file ProtocolVersion.h.

const std::string qpid::framing::ProtocolVersion::toString | ( |  | ) | const

The documentation for this class was generated from the following file:

- qpid/framing/ProtocolVersion.h